%define name		vls
%define version		0.4.0
%define release		1

Summary:	VideoLAN is a free MPEG, MPEG2 and DVD software solution.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Copyright:	GPL
URL:		http://www.videolan.org/
Group:		Application/Multimedia
Source:		http://www.videolan.org/pub/videolan/vls/%{version}/%{name}-%{version}.tar.gz
BuildRoot:	%_tmppath/%name-%version-%release-root
Requires:	libdvbpsi1
Buildrequires:	libdvbpsi1-devel

%description
VideoLAN is a free network-aware MPEG and DVD player.
The VideoLAN Server allows to stream MPEG content from several sources
over an IP network.
You may install vls-dvd to allow DVD streaming and/or vls-dvb to use a
satellite receiver.

%package -n %{name}-dvd
Summary:	DVD input for VideoLAN Server
Group:		Application/Multimedia
Requires:	libdvdread2
Requires:	%{name} = %{version}
Buildrequires:	libdvdread2-devel

%description -n %{name}-dvd
The %{name}-dvd package includes the DVD input plugin for the VideoLAN
Server.
It allows DVD streaming using libdvdread.

%package -n %{name}-dvb
Summary:	DVB input for VideoLAN Server
Group:		Application/Multimedia
Requires:	%{name} = %{version}
#Buildrequires:	dvb-devel

%description -n %{name}-dvb
The %{name}-dvb package includes the DVB input plugin for the VideoLAN
Server.
It allows satellite reception from a DVB device using the DVB drivers.


%prep
%setup -q

%build
./configure --prefix=%_prefix --disable-debug --enable-dvb
make 

%install
%makeinstall

%clean
rm -rf %buildroot

%files -n %{name}
%defattr(-,root,root,-)
%doc AUTHORS README COPYING ChangeLog doc/vls-guide.sgml
%config %{_sysconfdir}/videolan/vls/vls.cfg
%config %{_sysconfdir}/videolan/vls/input.cfg

%{_bindir}/vls

%files -n %{name}-dvd
%defattr(-,root,root)
%{_libdir}/videolan/vls/dvdreader.so

%files -n %{name}-dvb
%defattr(-,root,root)
%{_libdir}/videolan/vls/dvbinput.so

%changelog
* Mon Oct 14 2002 Alexis de Lattre <alexis@videolan.org>
- Updated vls.spec for the 0.4 release

* Tue Apr 9 2002 Arnaud de Bossoreille de Ribou <bozo@via.ecp.fr>
- split into two separate packages.

* Thu Apr 4 2002 Jean-Paul Saman <saman@natlab.research.philips.com>
- first version of package for redhat systems.

